
From: Miklos Szeredi <miklos@szeredi.hu>

This removes check for non-null inode before calling iput(), and uses
iov_length() to calculate number of bytes in iovec.

Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/fuse/dev.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN fs/fuse/dev.c~fuse-mount-options-fix-cleanup fs/fuse/dev.c
--- 25/fs/fuse/dev.c~fuse-mount-options-fix-cleanup	Thu Mar 24 16:40:47 2005
+++ 25-akpm/fs/fuse/dev.c	Thu Mar 24 16:40:47 2005
@@ -148,10 +148,8 @@ void fuse_put_request(struct fuse_conn *
 
 void fuse_release_background(struct fuse_req *req)
 {
-	if (req->inode)
-		iput(req->inode);
-	if (req->inode2)
-		iput(req->inode2);
+	iput(req->inode);
+	iput(req->inode2);
 	if (req->file)
 		fput(req->file);
 	list_del(&req->bg_entry);
_
